Novell Home

CVE-2011-0433

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2011-0433 at MITRE

Description

Heap-based buffer overflow in the linetoken function in afmparse.c in t1lib, as used in teTeX 3.0.x, GNOME evince, and possibly other products, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a DVI file containing a crafted Adobe Font Metrics (AFM) file, a different vulnerability than CVE-2010-2642.

NVD CVSS v2 Base Score: 6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

Novell/SUSE information

Novell Bugzilla entry: 671064, 790421

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SLE 11 SP1 DEBUGINFO
  • t1lib-debuginfo >= 5.1.1-100.21.1
  • t1lib-debugsource >= 5.1.1-100.21.1
Builds
SAT Patch Nr: 6195
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • t1lib-devel >= 5.1.1-100.21.1
Builds
SAT Patch Nr: 6195
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • t1lib >= 5.1.1-100.21.1
Builds
SAT Patch Nr: 6195
openSUSE 11.2
  • evince-debuginfo >= 2.28.2-0.7.1
  • evince-debugsource >= 2.28.2-0.7.1
openSUSE 11.2
  • evince >= 2.28.2-0.7.1
  • evince-devel >= 2.28.2-0.7.1
  • evince-lang >= 2.28.2-0.7.1
openSUSE 11.3
  • evince-debuginfo >= 2.30.1-3.7.1
  • evince-debugsource >= 2.30.1-3.7.1
  • nautilus-evince-debuginfo >= 2.30.1-3.7.1
openSUSE 11.3
  • evince >= 2.30.1-3.7.1
  • evince-devel >= 2.30.1-3.7.1
  • evince-lang >= 2.30.1-3.7.1
  • nautilus-evince >= 2.30.1-3.7.1
SLE 11 SP1 DEBUGINFO
  • evince-debuginfo >= 2.28.2-0.5.1
  • evince-debugsource >= 2.28.2-0.5.1
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1-vmware.x86
sle11-sp1-sdk.ppc
sles11-sp1.ia64
sles11-sp1.ppc
sled11-sp1.x86
SAT Patch Nr: 3998
SUSE Linux Enterprise Software Development Kit 11 SP1
  • evince-devel >= 2.28.2-0.5.1
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1-vmware.x86
sle11-sp1-sdk.ppc
sles11-sp1.ia64
sles11-sp1.ppc
sled11-sp1.x86
SAT Patch Nr: 3998
SUSE Linux Enterprise Desktop 11 SP1
  • evince >= 2.28.2-0.5.1
  • evince-lang >= 2.28.2-0.5.1
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1-vmware.x86
sle11-sp1-sdk.ppc
sles11-sp1.ia64
sles11-sp1.ppc
sled11-sp1.x86
SAT Patch Nr: 3998
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • evince >= 2.28.2-0.5.1
  • evince-doc >= 2.28.2-0.5.1
  • evince-lang >= 2.28.2-0.5.1
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
sles11-sp1.x86
sles11-sp1-vmware.x86
sle11-sp1-sdk.ppc
sles11-sp1.ia64
sles11-sp1.ppc
sled11-sp1.x86
SAT Patch Nr: 3998
SUSE CORE 9 for AMD64 and Intel EM64T
  • t1lib >= 1.3.1-569.570
  • t1lib-devel >= 1.3.1-569.570
Builds
YOU Patch Nr: 12879
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • evince >= 0.4.0-25.15.1
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.ia64
ZYPP Patch Nr: 7346
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • evince >= 0.4.0-25.19.1
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.x86
sles10-sp4.ia64
sled10-sp4.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7409

© 2014 Novell